Subject: Re: 2.6.17: networking bug??

From: Rick Jones <[email-masked]>
Date: Tue, 13 Jun 2006 15:12:31 -0700

Mark

 From everything I have read so far (which admittedly hasn't been 
everything) it sounds like the firewall in question was a ticking 
timebomb.  If 2.6.17 hadn't set it off, something else might very well 
have done so.

Or, if you prefer another metaphore, 2.6.17 was simply the last in a 
series of straws on the back of the camel what was the firewall.  Meta 
issues of whether or not the camel that is firewalls should have ever 
been allowed to poke its nose in the Internet Tent notwithstanding :)

At the very least, the firewall, if it is going to be "stateless," has 
to strip the window scaling option from the SYN's that go past. 
Otherwise,  I would be inclined to agree with David that the firewall is 
fundamentally broken.

rick jones